Index: /data/trunk/levels/DefaultCampaign.oxc
===================================================================
--- /data/trunk/levels/DefaultCampaign.oxc	(revision 4898)
+++ /data/trunk/levels/DefaultCampaign.oxc	(revision 4899)
@@ -14,44 +14,35 @@
     <SinglePlayerWorld>
       <identifier>1</identifier>
-      <nextid>1</nextid>
-      <name>Space Station</name>
-      <path>levels/sp_level_spacestation1.oxw</path>
+      <nextid>2</nextid>
+      <name>Moonstation</name>
+      <path>levels/sp_level_moonstation.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
     <SinglePlayerWorld>
-      <identifier>2</identifier>
-      <nextid>1</nextid>
+      <identifier>3</identifier>
+      <nextid>4</nextid>
       <name>Space Station</name>
       <path>levels/sp_level_spacestation1B.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
-    
+
     <SinglePlayerWorld>
-      <identifier>3</identifier>
-      <nextid>1</nextid>
-      <name>Mission 1</name>
+      <identifier>4</identifier>
+      <nextid>5</nextid>
       <path>levels/vertical_scroller.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
-    
-    <SinglePlayerWorld>
-      <identifier>4</identifier>
-      <nextid>1</nextid>
-      <name>Moonstation</name>
-      <path>levels/sp_level_moonstation.oxw</path>
-      <menu-entry>1</menu-entry>
-    </SinglePlayerWorld>
-    
+
     <SinglePlayerWorld>
       <identifier>5</identifier>
-      <nextid>1</nextid>
+      <nextid>6</nextid>
       <name>Moonstation Hangar</name>
       <path>levels/sp_level_moonstation_hangar.oxw</path>
       <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
-	
+
     <SinglePlayerWorld>
-      <identifier>6</identifier>
+      <identifier>7</identifier>
       <nextid>1</nextid>
       <name>Cut Scene</name>
@@ -61,13 +52,13 @@
 
     <SinglePlayerWorld>
-    	<identifier>7</identifier>
-	<nextid>1</nextid>
-	<name>Enemy Debug</name>
-	<path>levels/debug_enemy.oxw</path>
-	<menu-entry>1</menu-entry>
+      <identifier>7</identifier>
+      <nextid>0</nextid>
+      <name>Enemy Debug</name>
+      <path>levels/debug_enemy.oxw</path>
+      <menu-entry>1</menu-entry>
     </SinglePlayerWorld>
 
     <SinglePlayerWorld>
-      <identifier>8</identifier>
+      <identifier>1</identifier>
       <nextid>1</nextid>
       <name>Adm Test</name>
Index: /data/trunk/levels/vertical_scroller.oxw
===================================================================
--- /data/trunk/levels/vertical_scroller.oxw	(revision 4898)
+++ /data/trunk/levels/vertical_scroller.oxw	(revision 4899)
@@ -23,509 +23,27 @@
     </Building>
 
-    <Building>
-      <name>zhara</name>
-      <model>models/space_stations/ZHARA_Space_Station.obj,30</model>
-      <abs-coor>7950,0,-2000</abs-coor>
+    <Planet>
+      <name>Moon</name>
+      <texture>textures/planets/mars.png</texture>
+      <size>100</size>
+      <abs-coor>3610, 116, -656</abs-coor>
       <abs-dir>0.3,0,1,0</abs-dir>
-    </Building>
+    </Planet>
 
     <Rotor>
       <name>meteorit01</name>
       <model>models/planets/asteroid_FA48.obj, 20</model>
-      <abs-coor>1100,-100,30</abs-coor>
+      <abs-coor>1395, 185, 521</abs-coor>
       <rotation>0,2,0</rotation>
       <Size>100</Size>
+      <Track>
+        <!--<ActionBox>45, 25, 450, 6</ActionBox>-->
+        <mode>1</mode>
+        <speed>50</speed>
+        <addPoint>1395, 185, 521</addPoint>
+        <addPoint>1227, 349, 728</addPoint>
+        <addPoint>1155, 425, 823</addPoint>
+      </Track>
     </Rotor>
-
-    <Rotor>
-      <name>meteorit02</name>
-      <model>models/planets/asteroid_FA48.obj, 20</model>
-      <abs-coor>1500,-200,40</abs-coor>
-      <rotation>0,0,3</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit03</name>
-      <model>models/planets/asteroid_FA108.obj, 25</model>
-      <abs-coor>1700,-1000,-10</abs-coor>
-      <rotation>4,2,1</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit04</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>2300,-500,-10</abs-coor>
-      <rotation>0,2,1</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit05</name>
-      <model>models/planets/asteroid_FA48.obj, 10</model>
-      <abs-coor>2200,-50,50</abs-coor>
-      <rotation>5,0,1</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit06</name>
-      <model>models/planets/asteroid_FA48.obj, 5</model>
-      <abs-coor>2000,-50,0</abs-coor>
-      <rotation>0,3,5</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit07</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>3100,-500,15</abs-coor>
-      <rotation>1,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit08</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>3400,-500,-30</abs-coor>
-      <rotation>0,5,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit09</name>
-      <model>models/planets/asteroid_FA108.obj, 15</model>
-      <abs-coor>3700,-400,-10</abs-coor>
-      <rotation>0,1,3</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit10</name>
-      <model>models/planets/asteroid_FA48.obj, 10</model>
-      <abs-coor>3800,-500,20</abs-coor>
-      <rotation>1,2,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit11</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>4000,-600,-20</abs-coor>
-      <rotation>3,4,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit12</name>
-      <model>models/planets/asteroid_FA48.obj, 5</model>
-      <abs-coor>4200,-50,20</abs-coor>
-      <rotation>1,0,5</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit13</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>4500,-500,30</abs-coor>
-      <rotation>2,1,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit14</name>
-      <model>models/planets/asteroid_FA48.obj, 15</model>
-      <abs-coor>4700,-300,20</abs-coor>
-      <rotation>0,6,2</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit15</name>
-      <model>models/planets/asteroid_FA108.obj, 20</model>
-      <abs-coor>5000,-800,40</abs-coor>
-      <rotation>1,1,0</rotation>
-      <Size>100</Size>
-    </Rotor>
-
-    <Rotor>
-      <name>meteorit16</name>
-      <model>models/planets/asteroid_FA108.obj, 15</model>
-      <abs-coor>5200,-400,30</abs-coor>
-      <rotation>0,2,3</rotation>
-      <Size>100</Size>
-    </Rotor>
-<!--
-    <NPC>
-      <name>Pirate111</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <list>group00</list>
-      <swarm>5</swarm>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>2680, 0, 10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate112</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>5</team>
-      <list>group00</list>
-      <swarm>1</swarm>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>2680, 0, 10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate113</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <list>group00</list>
-      <swarm>5</swarm>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>2680, 0, 10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate01</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter.oif</mountpoints>
-      <team>1</team>
-      <list>group00</list>
-      <swarm>1</swarm>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3480, 0, 10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate02</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter.oif</mountpoints>
-      <team>1</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3500, 0, 0</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate03</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <mountpoints>models/spaceships/pirates_spaceship_fighter.oif</mountpoints>
-      <team>1</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3480, 0, -10</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate53</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3450, 0, -20</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate54</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>3450, 0, 20</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-
-
-    <NPC>
-      <name>Pirate04</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5000, 0, -30</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate05</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>5000, 0, -40</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate06</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>4960, 0, -40</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate56</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>4980, 0, -40</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate57</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>4980, 0, 40</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-
-
-    <NPC>
-      <name>Pirate07</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>6000, 0, -200</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Pirate08</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <Weapons>HeavyBlaster</Weapons>
-      <abs-coor>6010, 0, -205</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Pirate09</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>6010, 0, -195</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate59</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>6020, 0, -210</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate49</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>6020, 0, -220</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Pirate79</name>
-      <model>models/spaceships/pirates_spaceship_fighter.obj,1</model>
-      <team>1</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>6010, 0, -185</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-
-
-    <NPC>
-      <name>Ragnar01</name>
-      <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
-      <mountpoints>models/spaceships/pirates_spaceship_ragnar_vert.oif</mountpoints>
-      <abs-coor>3450, 0, -10</abs-coor>
-      <Track>
-        <mode>1</mode>
-        <speed>60</speed>
-        <addPoint>3600,-100,200</addPoint>
-        <addPoint>3700,-100,100</addPoint>
-        <addPoint>3800,-100,50</addPoint>
-        <addPoint>3900,-100,0</addPoint>
-        <addPoint>4000,-50,-30</addPoint>
-        <addPoint>4200,-30,-50</addPoint>
-        <addPoint>4500,0,-200</addPoint>
-      </Track>
-    </NPC>
--->
-<!--
-    <NPC>
-      <name>Ragnar02</name>
-      <model>models/spaceships/pirates_spaceship_ragnar.obj,6</model>
-      <abs-coor>7000, 0, -350</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-      <enableAI>1</enableAI>
-      <team>3</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>400</maxSpeed>
-    </NPC>
--->
-<!--
-    <NPC>
-      <name>Noxon01</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
-      <team>4</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7500, 0, -1145</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Noxon02</name>
-      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <team>4</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <weapon-config>3</weapon-config>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>7510, 0, -1150</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Noxon03</name>
-      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <team>4</team>
-      <swarm>1</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <weapon-config>3</weapon-config>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>7520, 0, -1155</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Noxon04</name>
-      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
-      <team>4</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <weapon-config>3</weapon-config>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>7530, 0, -1160</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Noxon05</name>
-      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
-      <team>4</team>
-      <swarm>2</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <weapon-config>3</weapon-config>
-      <maxSpeed>500</maxSpeed>
-      <abs-coor>7540, 0, -1147</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
--->
 
     <SpaceShip>
@@ -542,118 +60,27 @@
       <actionWidthPercentage>70</actionWidthPercentage>
       <Track>
-        <ActionBox>45, 25, 200, 4</ActionBox>
+        <ActionBox>45, 25, 450, 6</ActionBox>
         <mode>1</mode>
         <speed>50</speed>
         <addPoint>0,0,0</addPoint>
-        <addPoint>1000,0,200</addPoint>
-        <addPoint>2000,0,0</addPoint>
-        <addPoint>3000,0,-200</addPoint>
-        <addPoint>4000,0,0</addPoint>
-        <addPoint>5000,0,200</addPoint>
-        <addPoint>6000,0,0</addPoint>
-        <addPoint>7000,0,-200</addPoint>
-        <addPoint>7500,0,-700</addPoint>
-        <addPoint>7500,0,-1000</addPoint>
-        <addPoint>7500,0,-1500</addPoint>
-        <addPoint>8000,0,-2000</addPoint>
+        <addPoint>219.837738, -0.605457, 37.411240</addPoint>
+        <addPoint>225.830383, -0.594443, 37.732834</addPoint>
+        <addPoint>476.373810, 1.972882, 87.780724</addPoint>
+        <addPoint>525.073425, 11.045420, 158.684738</addPoint>
+        <addPoint>573.796875, 53.013050, 277.995331</addPoint>
+        <addPoint>641.345520, 191.439758, 470.532043</addPoint>
+        <addPoint>644.873962, 200.623535, 480.493805</addPoint>
+        <addPoint>714.454956, 346.079803, 633.238831</addPoint>
+        <addPoint>811.807983, 435.029388, 763.965637</addPoint>
+        <addPoint>949.991882, 471.741425, 902.679993</addPoint>
+        <addPoint>1183.444336, 411.088043, 1024.882690</addPoint>
+        <addPoint>3158.161865, 182.301956, 637.366394</addPoint>
+        <addPoint>3886.473633, 125.085068, 67.849152</addPoint>
+        <addPoint>3865.079590, 105.373840, -416.046570</addPoint>
+        <addPoint>3610, 116, -656</addPoint>
       </Track>
     </SpaceShip>
-<!--
-    <NPC>
-      <name>Noxon111</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7700, 0, -1525</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Noxon112</name>
-      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7700, 0, -1535</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Noxon113</name>
-      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7700, 0, -1545</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-    <NPC>
-      <name>Noxon114</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7700, 0, -1565</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
 
-    <NPC>
-      <name>Noxon115</name>
-      <model>models/spaceships/noxon_spaceship_bomber.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7900, 0, -1865</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Noxon116</name>
-      <model>models/spaceships/noxon_spaceship_fighter.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7900, 0, -1855</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
-
-    <NPC>
-      <name>Noxon117</name>
-      <model>models/spaceships/noxon_spaceship_scout.obj,1</model>
-      <team>2</team>
-      <swarm>3</swarm>
-      <list>group00</list>
-      <enableAI>1</enableAI>
-      <attackDistance>60</attackDistance>
-      <maxSpeed>500</maxSpeed>
-      <weapon-config>3</weapon-config>
-      <abs-coor>7900, 0, -1845</abs-coor>
-      <abs-dir> 3.14,0,1,0 </abs-dir>
-    </NPC>
--->
-   <SkyBox>
+    <SkyBox>
       <name>Sky</name>
       <Materialset>textures/sky/simple_space</Materialset>
@@ -679,31 +106,21 @@
 
   <ScriptManager> 
-   <Scripts>
-
-    <Script>
-     <file>vertical_scroller/vs1.lua</file>
-    </Script>
-
-   </Scripts>
-
+    <Scripts>
+      <Script>
+        <file>vertical_scroller/vs1.lua</file>
+      </Script>
+    </Scripts>
   </ScriptManager>
 
-   <CameraMan>
-    <name> cameraManager </name>
+  <CameraMan>
+    <name>cameraManager</name>
     <Cameras>
-     <Camera>
-      <name> CameraOne </name>
-      <abs-coor>2800,5,50</abs-coor>
-     </Camera>
-     <Camera>
-      <name> CameraTwo </name>
-      <abs-coor>7000,0,-50</abs-coor>
-     </Camera>
+      <Camera>
+        <name>cameraOne</name>
+          <abs-coor>2800,5,50</abs-coor>
+      </Camera>
     </Cameras>
-   </CameraMan>
+  </CameraMan>
 
-
-   <Music>music/task_horizon_-_pinky.ogg</Music>
-
-
+  <Music>music/task_horizon_-_pinky.ogg</Music>
 </WorldDataFile>
Index: /data/trunk/scripts/vertical_scroller/vs1.lua
===================================================================
--- /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4898)
+++ /data/trunk/scripts/vertical_scroller/vs1.lua	(revision 4899)
@@ -2,305 +2,32 @@
 thisscript:addObject("SpaceShip", "Player")
 thisscript:addObject("CameraMan", "cameraManager")
+thisscript:addObjectAsName("GameWorld", "Mission 1", "gameWorld")
 
--- The Pirates
-thisscript:addObject("NPC", "Ragnar01")
---thisscript:addObject("NPC", "Ragnar02")
+triggerFadeOut = SpaceTrigger()
+triggerFadeOut:setScript("vs1.lua")
+triggerFadeOut:setFunction("fadeOut")
+triggerFadeOut:setRadius(250)
+triggerFadeOut:setTarget("Player")
+triggerFadeOut:setAbsCoor(3610, 116, -656)
+triggerFadeOut:setDebugDraw(true)
 
-thisscript:addObject("NPC", "Pirate01")
-thisscript:addObject("NPC", "Pirate02")
-thisscript:addObject("NPC", "Pirate03")
-thisscript:addObject("NPC", "Pirate53")
-thisscript:addObject("NPC", "Pirate54")
+triggerEndLevel = TimeTrigger()
+triggerEndLevel:setScript("vs1.lua")
+triggerEndLevel:setFunction("changeLevel")
+triggerEndLevel:setDelay(5)
 
-thisscript:addObject("NPC", "Pirate04")
-thisscript:addObject("NPC", "Pirate05")
-thisscript:addObject("NPC", "Pirate06")
-thisscript:addObject("NPC", "Pirate56")
-thisscript:addObject("NPC", "Pirate57")
+teststring = "asdf";
 
-thisscript:addObject("NPC", "Pirate07")
-thisscript:addObject("NPC", "Pirate08")
-thisscript:addObject("NPC", "Pirate09")
-thisscript:addObject("NPC", "Pirate59")
-thisscript:addObject("NPC", "Pirate49")
-thisscript:addObject("NPC", "Pirate79")
-
--- The Noxons
-thisscript:addObject("NPC", "Noxon01")
-thisscript:addObject("NPC", "Noxon02")
-thisscript:addObject("NPC", "Noxon03")
-thisscript:addObject("NPC", "Noxon04")
-thisscript:addObject("NPC", "Noxon05")
---thisscript:addObject("NPC", "Noxon06")
---thisscript:addObject("NPC", "Noxon07")
---thisscript:addObject("NPC", "Noxon08")
---thisscript:addObject("NPC", "Noxon09")
---thisscript:addObject("NPC", "Noxon10")
---thisscript:addObject("NPC", "Noxon11")
---thisscript:addObject("NPC", "Noxon12")
-
--- thisscript:addObjectAsName("GameWorld", "Mission 1", "gameWorld")
-
-triggerInit = TickTrigger()
-triggerInit:setScript("vs1.lua")
-triggerInit:setFunction("init")
-
--- Create the cutscene trigger
-triggerCutscene = SpaceTrigger()
-triggerCutscene:setScript("vs1.lua")
-triggerCutscene:setFunction("startSequence")
-triggerCutscene:setRadius(50)
-triggerCutscene:setTarget("Player")
-triggerCutscene:setAbsCoor(2300 , 0 , 0)
-triggerCutscene:setDebugDraw(false)
-
--- Create another cutscene trigger
-triggerCutscene02 = TickTrigger()
-triggerCutscene02:setScript("vs1.lua")
-triggerCutscene02:setFunction("switchToOtherPirate")
-
--- Create another cutscene trigger
-triggerCutscene03 = TickTrigger()
-triggerCutscene03:setScript("vs1.lua")
-triggerCutscene03:setFunction("surviver")
-
--- Create another cutscene trigger
-triggerCutscene04 = TickTrigger()
-triggerCutscene04:setScript("vs1.lua")
-triggerCutscene04:setFunction("onNoxons")
-
--- Create another cutscene trigger
-triggerCutscene05 = TickTrigger()
-triggerCutscene05:setScript("vs1.lua")
-triggerCutscene05:setFunction("changeFromNoxon")
-
-
--- Create another trigger
-triggerStop = SpaceTrigger()
-triggerStop:setScript("vs1.lua")
-triggerStop:setFunction("stopPlayer")
-triggerStop:setRadius(50)
-triggerStop:setTarget("Player")
-triggerStop:setAbsCoor(8000 , 0 , -2000)
-triggerStop:setDebugDraw(false)
-
--- Create the cool Ragnar trigger
-triggerRagnar = SpaceTrigger()
-triggerRagnar:setScript("vs1.lua")
-triggerRagnar:setFunction("startRagnar")
-triggerRagnar:setRadius(50)
-triggerRagnar:setTarget("Player")
-triggerRagnar:setAbsCoor(3600 , 0 , -15)
-triggerRagnar:setDebugDraw(false)
-
--- Create a great AI activater
---triggerAI01 = SpaceTrigger()
---triggerAI01:setScript("vs1.lua")
---triggerAI01:setFunction("activateGroup1")
---triggerAI01:setRadius(50)
---triggerAI01:setTarget("Player")
---triggerAI01:setAbsCoor(2600, 0, -10)
---triggerAI01:setDebugDraw(false)
---triggerAI01:setActiveOnCreation(false)
-
--- Create another great AI activater
---triggerAI02 = SpaceTrigger()
---triggerAI02:setScript("vs1.lua")
---triggerAI02:setFunction("activateGroup2")
---triggerAI02:setRadius(50)
---triggerAI02:setTarget("Player")
---triggerAI02:setAbsCoor(4900, 0, -45)
---triggerAI02:setDebugDraw(false)
-
--- Create another great AI activater
---triggerAI03 = SpaceTrigger()
---triggerAI03:setScript("vs1.lua")
---triggerAI03:setFunction("activateGroup3")
---triggerAI03:setRadius(50)
---triggerAI03:setTarget("Player")
---triggerAI03:setAbsCoor(5850, 0, -170)
---triggerAI03:setDebugDraw(false)
-
--- Create another great AI activater
---triggerAI04 = SpaceTrigger()
---triggerAI04:setScript("vs1.lua")
---triggerAI04:setFunction("startRagnar2")
---triggerAI04:setRadius(50)
---triggerAI04:setTarget("Player")
---triggerAI04:setAbsCoor(6500, 0, -350)
---triggerAI04:setDebugDraw(false)
-
-
-
--- Global Variables
-counter = 0
-cutsceneRunning = false
-cutscene2Running = false
-cutsceneEnd = false
-cutscene2End = false
-bossFight = false
-bossFightEnd = false
-time = 0
-time2 = 0
-
--- init function
-function init(timestep)
--- cameraManager:setCam("GameWorldCamera")
-cameraManager:attachCamera("CameraOne", "NPC", "Pirate01")
-cameraManager:attachCamera("CameraTwo", "NPC", "Noxon01")
-cameraManager:setRelCoor("CameraOne", 10, 8 , -5)
-cameraManager:setRelCoor("CameraTwo", 30, 15 , -10)
-
-
-Ragnar01:pause(true)
-
-return true
+function fadeOut(timestep)
+  cameraManager:toggleFade()
+  print(teststring)
+  triggerEndLevel:start()
+  return true
 end
 
-function startSequence(timestep)
-
-Player:pause(true)
-cameraManager:setCam("CameraOne")
-cutsceneRunning = true
-return true
+function changeLevel(timestep)
+  print("changelvl now\n\n\n\n\n\n")
+  gameWorld:setNextStoryName("Moonstation")
+  gameWorld:stop()
+  return true
 end
-
-function switchToOtherPirate(timestep)
-
-if cutsceneRunning then
-counter = counter + timestep
-end
-
-if counter > 5 and counter < 6 then
-cameraManager:attachCamera("CameraOne", "NPC", "Pirate03")
-cameraManager:setRelCoorSoft("CameraOne", 10, 8 , 5, 6)
-
-end
-
-if counter > 11 then
-cutsceneEnd = true
-Player:pause(false)
-cameraManager:setCam("GameWorldCamera")
-end
-
-return cutsceneEnd
-end
-
-
-function startRagnar(timestep)
-
-Ragnar01:pause(false)
-return true
-end
-
-
---function activateGroup1(timestep)
-
---Pirate01:setAI(true)
---Pirate02:setAI(true)
---Pirate03:setAI(true)
---Pirate53:setAI(true)
---Pirate54:setAI(true)
-
---return true
---end
-
-
---function activateGroup2(timestep)
-
---Pirate04:setAI(true)
---Pirate05:setAI(true)
---Pirate06:setAI(true)
---Pirate56:setAI(true)
---Pirate57:setAI(true)
-
---return true
---end
-
-
---function activateGroup3(timestep)
-
---Pirate07:setAI(true)
---Pirate08:setAI(true)
---Pirate09:setAI(true)
---Pirate59:setAI(true)
---Pirate49:setAI(true)
---Pirate79:setAI(true)
-
---return true
---end
-
-
-function startRagnar2(timestep)
-
---Ragnar02:setAI(true)
-bossFight = true
-cameraManager:setRelCoorSoft("GameWorldCamera", -0.05, 140, 0, 20)
--- Player:setCameraDist(140)
-Player:pause(true)
-return true
-end
-
-
-function surviver(timestep)
-
-if bossFight then
-time = time + timestep
-end
-
-if time > 25 then
---Ragnar02:setAI(false)
-bossFight = false
-bossFightEnd = true
-end
-
-return bossFightEnd
-end
-
-
-function onNoxons(timestep)
-
-if bossFightEnd then
-cameraManager:setCam("CameraTwo")
-cameraManager:setRelCoorSoft("GameWorldCamera", -0.05, 70, 0)
-end
-
-return false
-end
-
-function changeFromNoxon(timestep)
-if bossFightEnd then
-time2 = time2 + timestep
-end
-
-if time2 > 6 and time2 < 8 then
-Noxon01:fire()
-Noxon02:fire()
-Noxon03:fire()
---cameraManager:attachCameraToWorldEntity("CameraTwo", "NPC", "Ragnar02")
-cameraManager:setRelCoorSoft("CameraTwo", 60, 20 , -10, 6)
-end
-
-if time2 > 9 and time2 < 10 then
---Ragnar02:destroy()
-end
-
-if time2 > 11 then
-bossFightEnd = false
-cutscene2End = true
-
-cameraManager:setRelCoorSoft("GameWorldCamera", -0.05, 70, 0)
-cameraManager:setCam("GameWorldCamera")
-
-Player:pause(false)
-end
-
-return cutscene2End
-end
-
-function stopPlayer(timestep)
-
-Player:pause(true)
-
-return true
-end
